# Class VOSerializerConfig

java.lang.Object
uk.ac.starlink.votable.VOSerializerConfig

public class VOSerializerConfig extends Object
Encapsulates configuration information for the details of setting up a VOSerializer object.

Since:
  19 Jun 2025
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`VOSerializerConfig(DataFormat dataFormat, VOTableVersion version, StringElementSizer stringSizer)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`DataFormat`
`getDataFormat()`
Returns the VOTable serialization format.
`StringElementSizer`
`getStringSizer()`
Returns an object that can determine the lengths of string array elements.
`VOTableVersion`
`getVersion()`
Returns the output VOTable version.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VOSerializerConfig

public VOSerializerConfig(DataFormat dataFormat, VOTableVersion version, StringElementSizer stringSizer)
Constructor.

Parameters:
  `dataFormat` - serialization format
  `version` - VOTable output version
  `stringSizer` - object that can determine lengths of string array elements

## Method Details

### getDataFormat

public DataFormat getDataFormat()
Returns the VOTable serialization format.

Returns:
  serialization format

### getVersion

public VOTableVersion getVersion()
Returns the output VOTable version.

Returns:
  VOTable version

### getStringSizer

public StringElementSizer getStringSizer()
Returns an object that can determine the lengths of string array elements.

Returns:
  string array element sizer